Package org.apache.wiki.render

# Class CustomXMLOutputProcessor

java.lang.Object
org.jdom2.output.support.AbstractOutputProcessor
org.jdom2.output.support.AbstractXMLOutputProcessor
org.apache.wiki.render.CustomXMLOutputProcessor

All Implemented Interfaces:
  `org.jdom2.output.support.XMLOutputProcessor`

public class CustomXMLOutputProcessor extends org.jdom2.output.support.AbstractXMLOutputProcessor
Override added to ensure attribute values including ampersands and quotes still get escaped even if disable-output-escaping processing instruction (meant to keep rest of HTML string as-is) set.

Since:
  2.10

## Field Summary

### Fields inherited from class org.jdom2.output.support.AbstractXMLOutputProcessor

`CDATAPOST, CDATAPRE`

## Constructor Summary

Constructors
Constructor
Description
`CustomXMLOutputProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`attributeEscapedEntitiesFilter(Writer out, org.jdom2.output.support.FormatStack fstack, String value)`

### Methods inherited from class org.jdom2.output.support.AbstractXMLOutputProcessor

`printAttribute, printCDATA, printComment, printContent, printDeclaration, printDocType, printDocument, printElement, printEntityRef, printNamespace, printProcessingInstruction, printText, process, process, process, process, process, process, process, process, process, textCDATA, textEntityRef, textRaw, textRaw, write, write`

### Methods inherited from class org.jdom2.output.support.AbstractOutputProcessor

`buildWalker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomXMLOutputProcessor

public CustomXMLOutputProcessor()

## Method Details

### attributeEscapedEntitiesFilter

protected void attributeEscapedEntitiesFilter(Writer out, org.jdom2.output.support.FormatStack fstack, String value) throws IOException

Overrides:
  `attributeEscapedEntitiesFilter` in class `org.jdom2.output.support.AbstractXMLOutputProcessor`
Throws:
  `IOException`